Subject: bug#72611: [Patch] Store canonical paths to project roots

From: Brad Howes <[email-masked]>
Date: Mon, 26 Aug 2024 19:33:57 +0200

On 26 Aug 2024, at 03:20, Dmitry Gutov <[email-masked]> wrote:
> 
> This is the default implementation of 'project-root' which is currently only used as a fallback when a backend implements the outdated convention (method 'project-roots').
> 
> So it might have effect in your case (which backend are you using? I'd like to ask), but not in the general one.
> 
> Speaking of "saved project paths file", if your goal is to have expanded file names written to ~/.emacs.d/projects, then we have code in project--remember-dir that explicitly abbreviates, since August 2023. That's commit 255b7e1a046c.

Hi Dimitri,

Thanks for the info. I see now my patch is not the proper place in which to do such a change, so I will withdraw it and close it.

FYI, my goal was to keep from seeing duplicate entries in the list of projects due to one path starting with “~” and another having that expanded out to my home directory. Ideally the paths would all be shortened by removing their common prefix, but I took the shortest route and just expanded whatever was obtained from 

As for a backend, I assume that this is being delegated to ‘vc’ or ‘git’. Not really sure, but I don’t think I’ve set anything specific for this.

Regards,

Brad